=== debian/control ===
Source: firehol
Section: net
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 libxml2-utils,
 texlive-base,
 texlive-latex-extra, texlive-latex-recommended,
 texlive-fonts-recommended, lmodern,
 pandoc,
 kmod,
 iptables (>= 1.8.2),
 iproute2, ipset, iprange, nfacct, tcpdump,
 inetutils-ping | iputils-ping , traceroute,
 procps,
 curl, wget, whois, jq, unzip, git, graphviz,
 screen
Standards-Version: 4.7.2
Homepage: https://firehol.org
Vcs-Git: https://salsa.debian.org/debian/firehol.git
Vcs-Browser: https://salsa.debian.org/debian/firehol

Package: firehol
Architecture: all
Replaces: firehol-doc (<< 3.1.5+ds1-1)
Breaks: firehol-doc (<< 3.1.5+ds1-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: firehol-common (= ${binary:Version}), ${misc:Depends}
Recommends: fireqos (= ${binary:Version})
Suggests: firehol-tools (= ${binary:Version}), firehol-doc (= ${binary:Version}), ulogd2
Description: easy to use but powerful iptables stateful firewall (program)
 FireHOL generates generic firewalls with an extremely simple but powerful
 configuration language based on bash, enabling you to design any kind of
 local or routing stateful packet filtering firewall with ease.
 .
 FireHOL is the firewall counterpart of the FireQOS traffic shaper;
 both FireHOL and FireQOS support IPv4 and IPv6.
 .
 This package provides the firewall program.

Package: firehol-doc
Section: doc
Architecture: all
Replaces: firehol (<< 3.0.1+ds-2)
Breaks: firehol (<< 3.0.1+ds-2)
Depends: ${misc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: firehol (= ${binary:Version})
Multi-Arch: foreign
Description: easy to use but powerful iptables stateful firewall (docs)
 FireHOL generates generic firewalls with an extremely simple but powerful
 configuration language based on bash, enabling you to design any kind of
 local or routing stateful packet filtering firewall with ease.
 .
 FireHOL is the firewall counterpart of the FireQOS traffic shaper;
 both FireHOL and FireQOS support IPv4 and IPv6.
 .
 This package contains documentation and examples.

Package: fireqos
Architecture: all
Replaces: fireqos-doc (<< 3.1.5+ds1-1)
Breaks: fireqos-doc (<< 3.1.5+ds1-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: firehol-common (= ${binary:Version}), ${misc:Depends}
Recommends: firehol (= ${binary:Version})
Suggests: firehol-tools (= ${binary:Version}), fireqos-doc (= ${binary:Version})
Description: easy to use but powerful traffic shaping tool (program)
 FireQOS generates generic traffic shapers with an extremely simple but
 powerful configuration language based on bash, enabling you to design
 any kind of traffic shaping with ease.
 .
 FireQOS is the traffic shaper counterpart of the FireHOL firewall;
 both FireHOL and FireQOS support IPv4 and IPv6.
 .
 This package provides the traffic shaping tool program.

Package: fireqos-doc
Section: doc
Architecture: all
Replaces: fireqos (<< 3.0.1+ds-2)
Breaks: fireqos (<< 3.0.1+ds-2)
Depends: ${misc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: fireqos (= ${binary:Version})
Multi-Arch: foreign
Description: easy to use but powerful traffic shaping tool (docs)
 FireQOS generates generic traffic shapers with an extremely simple but
 powerful configuration language based on bash, enabling you to design
 any kind of traffic shaping with ease.
 .
 FireQOS is the traffic shaper counterpart of the FireHOL firewall;
 both FireHOL and FireQOS support IPv4 and IPv6.
 .
 This package contains documentation and examples.

Package: firehol-tools
Architecture: all
Replaces: firehol-tools-doc (<< 3.1.5+ds1-1)
Breaks: firehol-tools-doc (<< 3.1.5+ds1-1)
Depends:
 firehol-common (= ${binary:Version}),
 curl, wget, whois, jq, screen,
 ${misc:Depends}
Recommends: git, unzip
Suggests: graphviz
Enhances: firehol (= ${binary:Version}), fireqos (= ${binary:Version})
Description: easy to use but powerful traffic suite (extra tools)
 FireHOL suite is a powerful traffic suite of tools that generate generic
 firewalls, traffic shappers, and  more with an extremely simple but powerful
 configuration language based on bash, enabling you to design and manage
 any kind of traffic with ease.
 .
 This package provides extra tools.

Package: firehol-tools-doc
Section: doc
Architecture: all
Replaces: firehol-tools (<< 3.0.1+ds-2)
Breaks: firehol-tools (<< 3.0.1+ds-2)
Depends: ${misc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: firehol-tools (= ${binary:Version})
Multi-Arch: foreign
Description: easy to use but powerful traffic suite (extra tools docs)
 FireHOL suite is a powerful traffic suite of tools that generate generic
 firewalls, traffic shappers, and  more with an extremely simple but powerful
 configuration language based on bash, enabling you to design and manage
 any kind of traffic with ease.
 .
 This package provides documentation and examples for the extra tools.

Package: firehol-common
Architecture: all
Depends:
 kmod,
 iptables (>= 1.8.2),
 iproute2, ipset, iprange, nfacct, tcpdump,
 inetutils-ping | iputils-ping , traceroute, procps,
 ${misc:Depends}
Recommends: less, firehol (= ${binary:Version}), fireqos (= ${binary:Version})
Description: easy to use but powerful traffic suite (common library)
 FireHOL suite is a powerful traffic suite of tools that generate generic
 firewalls, traffic shappers, and  more with an extremely simple but powerful
 configuration language based on bash, enabling you to design and manage
 any kind of traffic with ease.
 .
 This package provides the common library.
