=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode

## The test suite relies on `unshare -r` which does not work under chroot
## when /proc/sys/kernel/unprivileged_userns_clone is not set to 0. The issue
## was reported and is discussed in bugreport #982719. The conditional must
## be removed when the issue is fully understood and fixed.
## --- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Feb 2021 09:08:07 +0000
override_dh_auto_test:
ifeq ($(shell cat /proc/sys/kernel/unprivileged_userns_clone),0)
	dh_auto_test
endif

override_dh_installinit:
	dh_installinit --restart-after-upgrade

override_dh_compress:
	dh_compress -X.pdf -Xexamples

override_dh_missing:
	dh_missing --list-missing

## From https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
## -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 16 Dec 2024 10:10:28 +0100
execute_before_dh_install:
	for pdf in debian/tmp/usr/share/doc/firehol/*.pdf; do \
		grep -av '^/ID \[\(<[0-9A-F]\{32\}>\) \1]$$' $$pdf > $$pdf.without_pdf_id; \
		mv -f $$pdf.without_pdf_id $$pdf; \
	done
