=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]?//,uversionmangle=s/-rc/~rc/,repacksuffix=+ds \
https://github.com/firehol/firehol/tags .*/v?(\d.*)@ARCHIVE_EXT@
